Debian Bug report logs - #388708
apt: Upgrading to this version makes status file unparseable

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Fri, 22 Sep 2006 06:18:22 UTC

Severity: grave

Tags: fixed-in-experimental

Found in version apt/0.6.46

Fixed in version apt/0.6.46.1

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>, APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt: Upgrading to this version makes status file unparseable
Date: Fri, 22 Sep 2006 00:49:22 -0500
[Message part 1 (text/plain, inline)]
Package: apt
Version: 0.6.46
Severity: grave

#_> aptitude -u
 ... upgrade ...
#_> aptitude -vvv upgrade
Reading package lists... Error!
E: Unable to parse package file /var/lib/dpkg/status (1)
E: The package lists or status file could not be parsed or opened.
Reading package lists... Error!
E: Unable to parse package file /var/lib/dpkg/status (1)
E: The package lists or status file could not be parsed or opened.
[1]    22606 exit 255   aptitude -vvv upgrade

        Tested this on two machines. Downgrading to 0.6.45 fixes the
 bug. Look below for a sequence of action:

#_> dpkg -i apt_0.6.46_i386.deb
(Reading database ... 333632 files and directories currently installed.)
Preparing to replace apt 0.6.45 (using apt_0.6.46_i386.deb) ...
Unpacking replacement apt ...
Setting up apt (0.6.46) ...

#_> apt-cache policy apt
E: Unable to parse package file /var/lib/dpkg/status (1)
[1]    24419 exit 100   apt-cache policy apt
#_> dpkg -i apt_0.6.45_i386.deb                
dpkg - warning: downgrading apt from 0.6.46 to 0.6.45.
(Reading database ... 333635 files and directories currently installed.)
Preparing to replace apt 0.6.46 (using apt_0.6.45_i386.deb) ...
Unpacking replacement apt ...
Setting up apt (0.6.45) ...

#_> apt-cache policy apt                        
apt:
  Installed: 0.6.45
  Candidate: 0.6.46
  Version table:
     0.6.46 0
        990 http://glaurung.internal.golden-gryphon.com sid/main Packages
        990 http://ftp.debian.org sid/main Packages
     0.6.45exp2 0
          1 http://ftp.debian.org experimental/main Packages
 *** 0.6.45 0
        100 /var/lib/dpkg/status

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.13-mh5-skas3-v9-pre9
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)


        manoj

[strace.log (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
Versions of packages apt depends on:
ii  libc6                   2.3.6.ds1-4      GNU C Library: Shared libraries
ii  libgcc1                 1:4.2-20060709-1 GCC support library
ii  libstdc++6              4.1.1-13         The GNU Standard C++ Library v3

Versions of packages apt recommends:
ii  debian-archive-keyring        2006.01.18 GnuPG archive keys of the Debian a

-- no debconf information

-- 
Sex is like snow... You never know how many inches you're going to get
or how long it will last.
Manoj Srivastava     <srivasta@acm.org>    <http://www.golden-gryphon.com/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@golden-gryphon.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 388708@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@golden-gryphon.com>
To: 388708@bugs.debian.org
Subject: Additional information
Date: Fri, 22 Sep 2006 02:28:34 -0500
Hi,

        I think perhaps the information lies in handling UTF-8:
======================================================================
#_> sed -n 's/^\([^ ]*\):.*/\1/p' /var/lib/dpkg/stat-old | sort -u 
Architecture
Bugs
Conffiles
Config-Version
Conflicts
Depends
Description
Enhances
Essential
Installed-Size
Maintainer
Maintainer� Peyrot <chojin@lrde.epita.fr>
Maintainer�i Perrot <rperrot@debian.org>
Origin
Package
Pre-Depends
Priority
Provides
Python-Runtime
Python-Version
Recommends
Replaces
Section
Source
Status
Suggests
Url
Version
======================================================================

        The offending lines seem to be:
Maintainer: Quôc Peyrot <chojin@lrde.epita.fr>
Maintainer: Rémi Perrot <rperrot@debian.org>

        Unfortunately, editing these lines away has not really helped.

        I think this change needs to be fixed or reverted; or, at
 least, have a better error message which perhaps could include line
 numbers -- I can imagine less experienced user may be completely
 flummoxed by the apparent breakage.


#_> apt-get install apt
Reading package lists... Done
Building dependency tree... Done
The following packages will be upgraded:
  apt
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 0B/1414kB of archives.
After unpacking 32.8kB of additional disk space will be used.
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done    
Reading changelogs... Done
(Reading database ... 333423 files and directories currently installed.)
Preparing to replace apt 0.6.45 (using .../archives/apt_0.6.46_i386.deb) ...
Unpacking replacement apt ...
Setting up apt (0.6.46) ...

#_> apt-cahe search apt
zsh: correct apt-cahe to apt-cache ? ([Y]es/[N]o/[E]dit/[A]bort) y
E: Unable to parse package file /var/lib/dpkg/status (1)
[1]    2973 exit 100   apt-cache search apt
#_> sed -n 's/^\([^ ]*\):.*/\1/p' /var/lib/dpkg/status | sort -u
Architecture
Bugs
Conffiles
Config-Version
Conflicts
Depends
Description
Enhances
Essential
Installed-Size
Maintainer
Origin
Package
Pre-Depends
Priority
Provides
Python-Runtime
Python-Version
Recommends
Replaces
Section
Source
Status
Suggests
Url
Version
#_> 

        manoj
-- 
It's later than you think: the joint Russian-American space mission
has already begun. --anonymous
Manoj Srivastava     <srivasta@acm.org>    <http://www.golden-gryphon.com/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Mark Hedges <Mark_Hedges@rand.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 388708@bugs.debian.org (full text, mbox):

From: Mark Hedges <Mark_Hedges@rand.org>
To: Debian Bug Tracking System <388708@bugs.debian.org>
Subject: apt: Upgrading to this version makes status file unparseable
Date: Thu, 28 Sep 2006 16:28:51 -0700
Package: apt
Followup-For: Bug #388708


I also encountered this problem and thank you Manoj for explaining how
to fix it.  I was totally lost.  Because apt didn't work, users have to
download the deb of 0.6.45 directly from the repository and install it
with dpkg.  It's a gnarly fix. 

Seems like a test that a basic `apt-get update` works would be a good
benchmark for allowing a core package like apt to pass from unstable
to testing.  I know testing is testing and all, and a few times I've
had to reformat upon an upgrade breakage, but luckily this one was
fixable without reinstallation.

Mark

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Periodic "";
APT::Periodic::Update-Package-Lists "0";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Periodic::AutocleanInterval "0";
APT::Archives "";
APT::Archives::MaxAge "30";
APT::Archives::MinAge "2";
APT::Archives::MaxSize "500";
APT::Default-Release "testing";
APT::Cache-Limit "16777216";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::userstatus "status.user";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "if [ -d /var/lib/update-notifier ]; then  touch /var/lib/update-notifier/dpkg-run-stamp; fi";
Acquire "";
Acquire::::Proxy "false";

-- (no /etc/apt/preferences present) --


-- /etc/apt/sources.list --

# deb http://ftp.us.debian.org/debian/ stable main non-free contrib
# deb http://ftp.us.debian.org/debian/ testing main non-free contrib
# deb http://ftp.us.debian.org/debian/ unstable main non-free

# deb http://ike.egr.msu.edu/debian/ stable main non-free contrib
# deb http://ike.egr.msu.edu/debian/ testing main non-free contrib
# deb http://ike.egr.msu.edu/debian/ unstable main non-free

# deb http://debian-mirror.mirror.umn.edu/debian/ stable main non-free contrib
# deb http://debian-mirror.mirror.umn.edu/debian/ testing main non-free contrib
# deb http://debian-mirror.mirror.umn.edu/debian/ unstable main non-free

# deb http://mirrors1.kernel.org/debian/ stable main non-free contrib
# deb http://mirrors1.kernel.org/debian/ testing main non-free contrib
# deb http://mirrors1.kernel.org/debian/ unstable main non-free

  deb http://archive.progeny.com/debian/ stable main non-free contrib
  deb http://archive.progeny.com/debian/ testing main non-free contrib
  deb http://archive.progeny.com/debian/ unstable main non-free

# deb http://debian.mirror.frontiernet.net/debian stable main non-free contrib
# deb http://debian.mirror.frontiernet.net/debian testing main non-free contrib
# deb http://debian.mirror.frontiernet.net/debian unstable main non-free contrib

# deb http://security.debian.org/ stable/updates main contrib non-free
# deb http://security.debian.org/ testing/updates main contrib non-free

  deb http://klecker.debian.org/debian-security stable/updates main contrib non-free
  deb http://klecker.debian.org/debian-security testing/updates main contrib non-free



# deb http://mirrors.ibiblio.org/pub/mirrors/blackdown/debian testing non-free
# deb http://mirrors.ibiblio.org/pub/mirrors/blackdown/debian stable non-free

# deb http://ftp.tux.org/pub/java/debian testing non-free
# deb http://ftp.tux.org/pub/java/debian stable non-free


# deb http://people.debian.org/~srivasta/ packages/
# deb-src http://people.debian.org/~srivasta/ packages/

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-hedges
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages apt depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-13  GCC support library
ii  libstdc++6                   4.1.1-13    The GNU Standard C++ Library v3

Versions of packages apt recommends:
ii  debian-archive-keyring        2006.01.18 GnuPG archive keys of the Debian a

-- no debconf information

--------------------

This email message is for the sole use of the intended recipient(s) and
may contain privileged information. Any unauthorized review, use,
disclosure or distribution is prohibited. If you are not the intended
recipient, please contact the sender by reply email and destroy all copies
of the original message.





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 388708@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Manoj Srivastava <srivasta@debian.org>, 388708@bugs.debian.org
Subject: Re: Bug#388708: apt: Upgrading to this version makes status file unparseable
Date: Sat, 30 Sep 2006 16:07:27 +0200
On Fri, Sep 22, 2006 at 12:49:22AM -0500, Manoj Srivastava wrote:
> Package: apt
> Version: 0.6.46
> Severity: grave

Thanks for your bugreport.
 
> #_> aptitude -u
>  ... upgrade ...
> #_> aptitude -vvv upgrade
> Reading package lists... Error!
> E: Unable to parse package file /var/lib/dpkg/status (1)
> E: The package lists or status file could not be parsed or opened.
> Reading package lists... Error!
> E: Unable to parse package file /var/lib/dpkg/status (1)
> E: The package lists or status file could not be parsed or opened.
> [1]    22606 exit 255   aptitude -vvv upgrade
> 
>         Tested this on two machines. Downgrading to 0.6.45 fixes the
>  bug. Look below for a sequence of action:
[..]
 
I can't reproduce this bug here. Could you please put a gziped copy of
your /var/lib/dpkg/status file somewhere to download? Or send it to me
directly? 

I would also be interessted if this code here works and if it dies, at
what package:
-------------------------------8<----------------------------------
#!/usr/bin/env python
import apt_pkg

tagfile = apt_pkg.ParseTagFile(open("/var/lib/dpkg/status","r"));

while tagfile.Step():
   print tagfile.Section.get("Package");
-------------------------------8<----------------------------------


Thanks,
 Michael



-- 
Linux is not The Answer. Yes is the answer. Linux is The Question. - Neo



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 388708@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Manoj Srivastava <srivasta@debian.org>, 388708@bugs.debian.org
Subject: Re: Bug#388708: apt: Upgrading to this version makes status file unparseable
Date: Sun, 1 Oct 2006 00:04:48 +0200
[Message part 1 (text/plain, inline)]
[..]
On Fri, Sep 22, 2006 at 12:49:22AM -0500, Manoj Srivastava wrote:
> #_> aptitude -u
>  ... upgrade ...
> #_> aptitude -vvv upgrade
> Reading package lists... Error!
> E: Unable to parse package file /var/lib/dpkg/status (1)
> E: The package lists or status file could not be parsed or opened.
> Reading package lists... Error!
> E: Unable to parse package file /var/lib/dpkg/status (1)
> E: The package lists or status file could not be parsed or opened.
[..]

I was able to reproduce this now (thanks for your help Manoj!). It
turned out that the buffer in the tagfile code was too small
(again!). The attached patch should fix the issue by allowing the
tagfile buffer to grow dynamically. Testing is very welcome.

Cheers,
 Michael

-- 
Linux is not The Answer. Yes is the answer. Linux is The Question. - Neo
[apt-buf.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 388708@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Michael Vogt <mvo@debian.org>, 388708@bugs.debian.org
Cc: Manoj Srivastava <srivasta@debian.org>
Subject: Re: Bug#388708: apt: Upgrading to this version makes status file unparseable
Date: Sun, 1 Oct 2006 18:31:36 +0200
On Sun, Oct 01, 2006 at 12:04:48AM +0200, Michael Vogt wrote:
> --- apt-pkg/tagfile.h	2006-09-30 20:50:41 +0000
> +++ apt-pkg/tagfile.h	2006-09-30 21:35:25 +0000
> @@ -77,6 +77,7 @@
>     unsigned long Size;
>     
>     bool Fill();
> +   bool Resize();

This would (unnecessarily) change the ABI of libapt, requiring a shlibs
versioned bump.  Fill() neither should've been part of the ABI (it makes
no sense to use it externally), but it is at the moment.

This symbol should instead be placed in a "private:" section of the class
(without any explicit definition, symbols are public).

Otherwise, the patch logic is as far as I can see, correct.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 388708@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 388708@bugs.debian.org, Manoj Srivastava <srivasta@debian.org>
Subject: Re: Bug#388708: apt: Upgrading to this version makes status file unparseable
Date: Sun, 1 Oct 2006 22:45:41 +0200
On Sun, Oct 01, 2006 at 06:31:36PM +0200, Jeroen van Wolffelaar wrote:
> On Sun, Oct 01, 2006 at 12:04:48AM +0200, Michael Vogt wrote:
> > --- apt-pkg/tagfile.h	2006-09-30 20:50:41 +0000
> > +++ apt-pkg/tagfile.h	2006-09-30 21:35:25 +0000
> > @@ -77,6 +77,7 @@
> >     unsigned long Size;
> >     
> >     bool Fill();
> > +   bool Resize();
> 
> This would (unnecessarily) change the ABI of libapt, requiring a shlibs
> versioned bump.  Fill() neither should've been part of the ABI (it makes
> no sense to use it externally), but it is at the moment.
> 
> This symbol should instead be placed in a "private:" section of the class
> (without any explicit definition, symbols are public).

For c++ the default access (if nothing else is specified) is
"private:".

According to
http://developer.kde.org/documentation/other/binarycompatibility.html
it is ok to add new non-virtual functions and won't break the ABI.
 
> Otherwise, the patch logic is as far as I can see, correct.

Thanks for reviewing it!

Cheers,
 Michael

-- 
Linux is not The Answer. Yes is the answer. Linux is The Question. - Neo



Tags added: fixed-in-experimental Request was from Michael Vogt <mvo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 388708@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 388708@bugs.debian.org
Subject: The suggested patch works
Date: Mon, 02 Oct 2006 11:01:10 -0500
Hi,

        The buffer patch from Michael Vogt makes things work again on
 my machine. Many thanks.

        manoj
-- 
The degree of civilization in a society can be judged by entering its
prisons. Dostoyevski
Manoj Srivastava <srivasta@debian.org> <http://www.debian.org/~srivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 388708-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 388708-close@bugs.debian.org
Subject: Bug#388708: fixed in apt 0.6.46.1
Date: Mon, 02 Oct 2006 14:48:45 -0700
Source: apt
Source-Version: 0.6.46.1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.6.46.1_all.deb
  to pool/main/a/apt/apt-doc_0.6.46.1_all.deb
apt-utils_0.6.46.1_i386.deb
  to pool/main/a/apt/apt-utils_0.6.46.1_i386.deb
apt_0.6.46.1.dsc
  to pool/main/a/apt/apt_0.6.46.1.dsc
apt_0.6.46.1.tar.gz
  to pool/main/a/apt/apt_0.6.46.1.tar.gz
apt_0.6.46.1_i386.deb
  to pool/main/a/apt/apt_0.6.46.1_i386.deb
libapt-pkg-dev_0.6.46.1_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.6.46.1_i386.deb
libapt-pkg-doc_0.6.46.1_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.6.46.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388708@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  2 Oct 2006 20:42:20 +0200
Source: apt
Binary: apt-utils libapt-pkg-doc libapt-pkg-dev apt-doc apt
Architecture: source all i386
Version: 0.6.46.1
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 359634 388555 388708 389261 389725 390149 390189
Changes: 
 apt (0.6.46.1) unstable; urgency=low
 .
   * methods/gzip.cc:
     - deal with empty files
   * Applied patch from Daniel Schepler to make apt bin-NMU able.
     (closes: bug#359634)
   * rebuild against current g++ because of:
     http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29289
     (closes: #390189)
   * fix broken i18n in the dpkg progress reporting, thanks to
     Frans Pop and Steinar Gunderson. (closes: #389261)
   * Merged from Christian Perrier bzr branch:
     * fi.po: Updated to 514t. Closes: #390149
     * eu.po: Updated to 514t. Closes: #389725
     * vi.po: Updated to 514t. Closes: #388555
   * make the internal buffer in pkgTagFile grow dynamically
     (closes: #388708)
Files: 
 ca8667c86fdeb66913bd97fcee696c93 788 admin important apt_0.6.46.1.dsc
 024a861d2c98dc97e352ea5c1d5f516a 1692899 admin important apt_0.6.46.1.tar.gz
 af43c792875246267183156578c05654 89226 doc optional apt-doc_0.6.46.1_all.deb
 ce42207a06c6470f288d8f2005a8636a 112604 doc optional libapt-pkg-doc_0.6.46.1_all.deb
 c158103bd0d63584800a6415de5ecacb 1433504 admin important apt_0.6.46.1_i386.deb
 b413c87208074a2d711fbd029e43649e 83340 libdevel optional libapt-pkg-dev_0.6.46.1_i386.deb
 f74e0e77ac328c366c8cdd285287966d 196846 admin important apt-utils_0.6.46.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFIWAWliSD4VZixzQRAisbAJ9PE0JzsqbR38Gwu+QpQNHzsxSqvQCcD7+W
jbuHn/knimKvrCpBl1thQOQ=
=XpTH
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <ross@biostat.ucsf.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 388708@bugs.debian.org (full text, mbox):

From: Ross Boylan <ross@biostat.ucsf.edu>
To: 388708@bugs.debian.org
Cc: ross@biostat.ucsf.edu
Subject: 388708: Might want to help/hurry this fix into testing
Date: Fri, 06 Oct 2006 16:40:05 -0700
http://bjorn.haxx.se/debian/testing.pl?package=apt says
trying to update apt from 0.6.46 to 0.6.46.1 (candidate is 2 days old)
  * apt is only 2 days old. It must be 10 days old to go in.
  * apt is in freeze; contact debian-release if update is needed 
-- 
Ross Boylan                                      wk:  (415) 514-8146
185 Berry St #5700                               ross@biostat.ucsf.edu
Dept of Epidemiology and Biostatistics           fax: (415) 514-8150
University of California, San Francisco
San Francisco, CA 94107-1739                     hm:  (415) 550-1062




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <ross@biostat.ucsf.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 388708@bugs.debian.org (full text, mbox):

From: Ross Boylan <ross@biostat.ucsf.edu>
To: 388708@bugs.debian.org
Cc: ross@biostat.ucsf.edu
Subject: 388708: might want to hurry this along
Date: Fri, 06 Oct 2006 16:46:17 -0700
http://bjorn.haxx.se/debian/testing.pl?package=apt says
trying to update apt from 0.6.46 to 0.6.46.1 (candidate is 2 days old)
  * apt is only 2 days old. It must be 10 days old to go in.
  * apt is in freeze; contact debian-release if update is needed

The second point suggests the fix will not go into testing without some
help; the first point suggests it would take 10 days if handled
automatically.

It might be good to get this into testing sooner rather than later,
since it fixes an RC bug.

I was a bit surprised that it got into testing with an RC bug; did the
bug turn up after migration?

Thanks to all involved in the diagnosis and fix.
-- 
Ross Boylan                                      wk:  (415) 514-8146
185 Berry St #5700                               ross@biostat.ucsf.edu
Dept of Epidemiology and Biostatistics           fax: (415) 514-8150
University of California, San Francisco
San Francisco, CA 94107-1739                     hm:  (415) 550-1062




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 388708@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Ross Boylan <ross@biostat.ucsf.edu>, 388708@bugs.debian.org
Subject: Re: Bug#388708: 388708: might want to hurry this along
Date: Sat, 7 Oct 2006 08:27:51 +0200
[Message part 1 (text/plain, inline)]
Quoting Ross Boylan (ross@biostat.ucsf.edu):
> http://bjorn.haxx.se/debian/testing.pl?package=apt says
> trying to update apt from 0.6.46 to 0.6.46.1 (candidate is 2 days old)
>   * apt is only 2 days old. It must be 10 days old to go in.
>   * apt is in freeze; contact debian-release if update is needed
> 
> The second point suggests the fix will not go into testing without some
> help; the first point suggests it would take 10 days if handled
> automatically.
> 
> It might be good to get this into testing sooner rather than later,
> since it fixes an RC bug.

Yes. The upload should probably have been high urgency. But maybe
Michael had some reasons for using low. After all, we are in freeze
but we still have time to make stuff migrate to testing.

> 
> I was a bit surprised that it got into testing with an RC bug; did the
> bug turn up after migration?

Yep.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 388708@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Christian Perrier <bubulle@debian.org>, 388708@bugs.debian.org
Cc: Ross Boylan <ross@biostat.ucsf.edu>
Subject: Re: Bug#388708: 388708: might want to hurry this along
Date: Mon, 9 Oct 2006 22:55:22 +0200
On Sat, Oct 07, 2006 at 08:27:51AM +0200, Christian Perrier wrote:
> Quoting Ross Boylan (ross@biostat.ucsf.edu):
> > http://bjorn.haxx.se/debian/testing.pl?package=apt says
> > trying to update apt from 0.6.46 to 0.6.46.1 (candidate is 2 days old)
> >   * apt is only 2 days old. It must be 10 days old to go in.
> >   * apt is in freeze; contact debian-release if update is needed
> > 
> > The second point suggests the fix will not go into testing without some
> > help; the first point suggests it would take 10 days if handled
> > automatically.
> > 
> > It might be good to get this into testing sooner rather than later,
> > since it fixes an RC bug.
> 
> Yes. The upload should probably have been high urgency. But maybe
> Michael had some reasons for using low. After all, we are in freeze
> but we still have time to make stuff migrate to testing.

The problem with automatic migration to etch is that we don't fully
know the effects of Bug#390189 yet. The root of the problem is
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29289 

The g++ version in etch is not affected by this g++ problem, the
version in sid is. This means that its probably not a good idea to
just let apt migrate to testing. We may have to build it with the
testing g++ and upload it to t-p-u :/ But lets hope that gcc upstream
has some more information about it.

Cheers,
 Michael

-- 
Linux is not The Answer. Yes is the answer. Linux is The Question. - Neo



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#388708; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 388708@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Vogt <mvo@debian.org>, 388708@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>, Ross Boylan <ross@biostat.ucsf.edu>
Subject: Re: Bug#388708: 388708: might want to hurry this along
Date: Sat, 14 Oct 2006 23:49:31 -0700
On Mon, Oct 09, 2006 at 10:55:22PM +0200, Michael Vogt wrote:
> On Sat, Oct 07, 2006 at 08:27:51AM +0200, Christian Perrier wrote:
> > Quoting Ross Boylan (ross@biostat.ucsf.edu):
> > > http://bjorn.haxx.se/debian/testing.pl?package=apt says
> > > trying to update apt from 0.6.46 to 0.6.46.1 (candidate is 2 days old)
> > >   * apt is only 2 days old. It must be 10 days old to go in.
> > >   * apt is in freeze; contact debian-release if update is needed

> > > The second point suggests the fix will not go into testing without some
> > > help; the first point suggests it would take 10 days if handled
> > > automatically.

> > > It might be good to get this into testing sooner rather than later,
> > > since it fixes an RC bug.

> > Yes. The upload should probably have been high urgency. But maybe
> > Michael had some reasons for using low. After all, we are in freeze
> > but we still have time to make stuff migrate to testing.

> The problem with automatic migration to etch is that we don't fully
> know the effects of Bug#390189 yet. The root of the problem is
> http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29289 

> The g++ version in etch is not affected by this g++ problem, the
> version in sid is. This means that its probably not a good idea to
> just let apt migrate to testing. We may have to build it with the
> testing g++ and upload it to t-p-u :/ But lets hope that gcc upstream
> has some more information about it.

AIUI, the ABI incompatibility is unidirectional, and shipping a libapt-pkg
built with the new g++-4.1 together with the old g++-4.1 shouldn't cause any
problems.  Do you have a reason to believe otherwise?

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:00:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:19:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.